server.port=8087
#estos son los parametros para conectarse a la base datos
spring.datasource.url=jdbc:mysql://localhost:3306/apirest_database
spring.datasource.username=root
spring.datasource.password=
#son referencias a librerias especificas y version especifica de mysql
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.jpa.database-platform=org.hibernate.dialect.MySQL57Dialect
#referencia a la manipulacion de las entitys por cada ejecucion
spring.jpa.hibernate.ddl-auto=create-drop
#print por consola de todas las ejecuciones hacia la base de datos
logging.level.org.hibernate.SQL=debug

#agregar limite de archivos subidos y guardados
spring.servlet.multipart.max-file-size=10MB
spring.servlet.multipart.max-request-size=10MB


